Bug 214626 - [HeapWalker] Incorrect size of arrays in classes view
[HeapWalker] Incorrect size of arrays in classes view
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
7.0
All All
: P3 (vote)
: 7.3
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 12:30 UTC by Tomas Hurka
Modified: 2013-07-04 07:02 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2012-06-22 12:30:07 UTC
'Size of all instances' column in classes view does not match the sum of instances sizes as displayed in instances view. This is wrong only for arrays. 
Steps:
1) open heap dump
2) find array with a few instances (<5)
3) manually sum instance sizes in instance view - the sum does not match the size column in classes view
Comment 1 Tomas Hurka 2012-06-22 12:46:46 UTC
Fixed in profiler-main

changeset:   224900:aa6c08a5f9b4
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Jun 22 14:31:57 2012 +0200
summary:     bugfix #214626, do not forget to add ArrayDump.HPROF_ARRAY_OVERHEAD
Comment 2 Quality Engineering 2012-06-24 04:43:07 UTC
Integrated into 'main-golden', will be available in build *201206240002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/aa6c08a5f9b4
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #214626, do not forget to add ArrayDump.HPROF_ARRAY_OVERHEAD


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo